import'./../../external/@lit/reactive-element/reactive-element.js';import'./../../external/lit-html/lit-html.js';import'./../../external/lit-element/lit-element.js';import{css as r}from'./../../external/@lit/reactive-element/css-tag.js';var e=r`*,
*::before,
*::after {
  box-sizing: border-box;
}

:root {
  --kd-grid-max-width: 99rem;
}

/**
 * Copyright Kyndryl, Inc. 2023
 */
:host {
  display: inline-block;
}

.kd-btn, .kd-btn--tertiary, .kd-btn--tertiary-destructive, .kd-btn--secondary, .kd-btn--secondary-destructive, .kd-btn--primary-app-destructive,
.kd-btn--primary-web-destructive, .kd-btn--primary-web,
.kd-btn--primary-app {
  transition: outline-color 0.2s ease-in-out, color 0.2s ease-in-out, background-color 0.2s ease-in-out;
  white-space: nowrap;
  outline: 2px solid transparent;
  outline-offset: 2px;
  border-radius: 4px;
  text-decoration: none;
  cursor: pointer;
  display: flex;
  font-family: var(--kd-font-family-secondary);
  font-size: var(--kd-font-size-body-2-sm);
  line-height: var(--kd-line-height-body-2-sm);
  font-weight: var(--kd-font-weight-regular);
  letter-spacing: var(--kd-letter-spacing-4);
}
@media (min-width: 42rem) {
  .kd-btn, .kd-btn--tertiary, .kd-btn--tertiary-destructive, .kd-btn--secondary, .kd-btn--secondary-destructive, .kd-btn--primary-app-destructive,
  .kd-btn--primary-web-destructive, .kd-btn--primary-web,
  .kd-btn--primary-app {
    font-size: var(--kd-font-size-body-2-md);
    line-height: var(--kd-line-height-body-2-md);
  }
}
@media (min-width: 74rem) {
  .kd-btn, .kd-btn--tertiary, .kd-btn--tertiary-destructive, .kd-btn--secondary, .kd-btn--secondary-destructive, .kd-btn--primary-app-destructive,
  .kd-btn--primary-web-destructive, .kd-btn--primary-web,
  .kd-btn--primary-app {
    font-size: var(--kd-font-size-body-2-lg);
    line-height: var(--kd-line-height-body-2-lg);
  }
}
@media (min-width: 82rem) {
  .kd-btn, .kd-btn--tertiary, .kd-btn--tertiary-destructive, .kd-btn--secondary, .kd-btn--secondary-destructive, .kd-btn--primary-app-destructive,
  .kd-btn--primary-web-destructive, .kd-btn--primary-web,
  .kd-btn--primary-app {
    font-size: var(--kd-font-size-body-2-xlg);
    line-height: var(--kd-line-height-body-2-xlg);
  }
}
@media (min-width: 99rem) {
  .kd-btn, .kd-btn--tertiary, .kd-btn--tertiary-destructive, .kd-btn--secondary, .kd-btn--secondary-destructive, .kd-btn--primary-app-destructive,
  .kd-btn--primary-web-destructive, .kd-btn--primary-web,
  .kd-btn--primary-app {
    font-size: var(--kd-font-size-body-2-max);
    line-height: var(--kd-line-height-body-2-max);
  }
}
.kd-btn--small {
  padding: 4px 16px;
  height: 32px;
}
.kd-btn--medium {
  padding: 12px 16px;
  height: 48px;
}
.kd-btn--large {
  padding: 16px 16px;
  height: 56px;
}

span {
  display: flex;
  align-items: center;
  z-index: 1;
}

.kd-btn--primary-web,
.kd-btn--primary-app {
  background-color: var(--kd-color-background-primary);
  color: var(--kd-color-text-inversed);
  border: none;
  position: relative;
  overflow: hidden;
}
.kd-btn--primary-web:before,
.kd-btn--primary-app:before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: var(--kd-color-background-primary-hover);
  transition: transform 300ms ease-out, opacity 200ms ease-out, background-color 150ms ease-in-out;
  transform: scaleX(0);
  transform-origin: left;
  opacity: 0;
}
.kd-btn--primary-web:hover:before,
.kd-btn--primary-app:hover:before {
  transform: scaleX(1);
  opacity: 1;
}
.kd-btn--primary-web:active,
.kd-btn--primary-app:active {
  border: none;
}
.kd-btn--primary-web:active:before,
.kd-btn--primary-app:active:before {
  background-color: var(--kd-color-background-primary-pressed);
}
.kd-btn--primary-web:focus,
.kd-btn--primary-app:focus {
  outline-color: var(--kd-color-border-focus);
}
.kd-btn--primary-web:disabled,
.kd-btn--primary-app:disabled {
  background-color: var(--kd-color-background-disabled);
  color: var(--kd-color-text-inversed);
  border: none;
  cursor: not-allowed;
  pointer-events: none;
}

.kd-btn--primary-web {
  background-color: var(--kd-color-background-secondary);
}
.kd-btn--primary-web:before {
  background-color: var(--kd-color-background-secondary-hover);
}
.kd-btn--primary-web:active:before {
  background-color: var(--kd-color-background-secondary-pressed);
}

.kd-btn--primary-app-destructive,
.kd-btn--primary-web-destructive {
  background-color: var(--kd-color-background-destructive);
  color: var(--kd-color-text-inversed);
  border: none;
  position: relative;
  overflow: hidden;
}
.kd-btn--primary-app-destructive:before,
.kd-btn--primary-web-destructive:before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: var(--kd-color-background-destructive-hover);
  transition: transform 300ms ease-out, opacity 200ms ease-out, background-color 150ms ease-in-out;
  transform: scaleX(0);
  transform-origin: left;
  opacity: 0;
}
.kd-btn--primary-app-destructive:hover:before,
.kd-btn--primary-web-destructive:hover:before {
  transform: scaleX(1);
  opacity: 1;
}
.kd-btn--primary-app-destructive:active:before,
.kd-btn--primary-web-destructive:active:before {
  background-color: var(--kd-color-background-destructive-pressed);
}
.kd-btn--primary-app-destructive:focus,
.kd-btn--primary-web-destructive:focus {
  outline-color: var(--kd-color-border-focus);
}
.kd-btn--primary-app-destructive:disabled,
.kd-btn--primary-web-destructive:disabled {
  background-color: var(--kd-color-background-disabled);
  color: var(--kd-color-text-inversed);
  border: none;
  cursor: not-allowed;
  pointer-events: none;
}

.kd-btn--secondary, .kd-btn--secondary-destructive {
  background-color: var(--kd-color-transparent);
  color: var(--kd-color-text-primary);
  border: 1px solid var(--kd-color-border-primary);
}
.kd-btn--secondary:hover, .kd-btn--secondary-destructive:hover {
  background-color: var(--kd-color-background-secondary-hover);
  color: var(--kd-color-text-inversed);
  border-color: var(--kd-color-background-secondary-hover);
}
.kd-btn--secondary:active, .kd-btn--secondary-destructive:active {
  background-color: var(--kd-color-background-secondary-pressed);
  color: var(--kd-color-text-inversed);
  border-color: var(--kd-color-border-primary);
}
.kd-btn--secondary:focus, .kd-btn--secondary-destructive:focus {
  outline-color: var(--kd-color-border-focus);
}
.kd-btn--secondary:disabled, .kd-btn--secondary-destructive:disabled {
  background-color: var(--kd-color-background-disabled);
  color: var(--kd-color-text-inversed);
  border: none;
  cursor: not-allowed;
  pointer-events: none;
  background-color: var(--kd-color-transparent);
  color: var(--kd-color-text-disabled);
  border: 1px solid var(--kd-color-border-disabled);
}

.kd-btn--secondary-destructive {
  color: var(--kd--color-text-destructive);
  border-color: var(--kd-color-border-destructive);
}
.kd-btn--secondary-destructive:hover, .kd-btn--secondary-destructive:active {
  background-color: var(--kd-color-background-destructive-hover);
  color: var(--kd-color-text-inversed);
  border-color: transparent;
}

.kd-btn--tertiary, .kd-btn--tertiary-destructive {
  background-color: var(--kd-color-transparent);
  color: var(--kd-color-text-tertiary);
  border: none;
}
.kd-btn--tertiary:hover, .kd-btn--tertiary-destructive:hover, .kd-btn--tertiary:active, .kd-btn--tertiary-destructive:active {
  background-color: var(--kd-color-background-accent-subtle);
}
.kd-btn--tertiary:active, .kd-btn--tertiary-destructive:active {
  color: var(--kd-color-text-tertiary-bold);
}
.kd-btn--tertiary:focus, .kd-btn--tertiary-destructive:focus {
  outline-color: var(--kd-color-border-focus);
}
.kd-btn--tertiary:disabled, .kd-btn--tertiary-destructive:disabled {
  background-color: var(--kd-color-background-disabled);
  color: var(--kd-color-text-inversed);
  border: none;
  cursor: not-allowed;
  pointer-events: none;
  background-color: var(--kd-color-transparent);
  color: var(--kd-color-text-disabled);
}

.kd-btn--tertiary-destructive {
  color: var(--kd--color-text-destructive);
}
.kd-btn--tertiary-destructive:hover, .kd-btn--tertiary-destructive:active, .kd-btn--tertiary-destructive:focus {
  color: var(--kd--color-text-destructive);
}

.kd-btn--icon-left span {
  flex-direction: row-reverse;
}
.kd-btn--icon-left span slot[name=icon]::slotted(*) {
  margin-right: 8px;
}
.kd-btn--icon-right slot[name=icon]::slotted(*) {
  margin-left: 8px;
}`;export{e as default};
//# sourceMappingURL=button.scss.js.map
